#include "basicapplication.h"
#include "content.h"

using namespace EPOC;

// application entry point
int main(int argc, char* argv[])
{
	BasicApplication *pApp = new BasicApplication();
	
	// Change kRENDER_MODE_SDL to kRENDER_MODE_OPENGL to enable OpenGL support, or just remove the flag all together
	pApp->Start("BasicApplication", 640, 480, false, kRENDER_MODE_SDL);
		
	delete pApp;
	pApp = NULL;

	return 0;
}

BasicApplication::BasicApplication()
{
}

BasicApplication::~BasicApplication()
{
}

// initializes the epoc core
bool BasicApplication::Initialize()
{
	// call base class initialize
	return Application::Initialize();
}

// initializes our own content manager instead of the built in one
bool BasicApplication::CreateContentManager()
{
	m_pContentManager = new Content(this);
	if(!m_pContentManager || !m_pContentManager->Initialize())
	{
		m_pContentManager->Release();
		m_pContentManager = NULL;

		return false;
	}

	return true;
}